Package org.apache.sling.scripting.sightly.compiler.expression.nodes

## Enum UnaryOperator

- java.lang.Object
- - java.lang.Enum<UnaryOperator>
  - - org.apache.sling.scripting.sightly.compiler.expression.nodes.UnaryOperator

All Implemented Interfaces:
  `Serializable`, `Comparable<UnaryOperator>`

    public enum UnaryOperator
    extends Enum<UnaryOperator>

Unary operators used in expressions.

### Enum Constant Summary

Enum Constants
`IS_WHITESPACE` Evaluates whether the operand is a string of only whitespace characters
`LENGTH` Evaluates the length of a collection
`NOT` Evaluates to logical negation of the operand

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract Object` `eval​(Object operand)`
`static UnaryOperator` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static UnaryOperator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT

    public static final UnaryOperator NOT

Evaluates to logical negation of the operand

#### IS_WHITESPACE

    public static final UnaryOperator IS_WHITESPACE

Evaluates whether the operand is a string of only whitespace characters

#### LENGTH

    public static final UnaryOperator LENGTH

Evaluates the length of a collection

### Method Detail

#### values

    public static UnaryOperator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (UnaryOperator c : UnaryOperator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static UnaryOperator valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### eval

    public abstract Object eval​(Object operand)